Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# asdf.config Module

Methods for getting and setting asdf global configuration options.

### Functions

`get_config`() | Get the current config, which may have been altered by one or more surrounding calls to `asdf.config_context`.
`config_context`() | Context manager that temporarily overrides asdf configuration.

### Classes

`AsdfConfig`() | Container for ASDF configuration options.

### Class Inheritance Diagram